Bug 130994 - GFS panic while running genesis: Unable to handle kernel paging request
GFS panic while running genesis: Unable to handle kernel paging request
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Preslan
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 10:48 EDT by Corey Marthaler
Modified: 2010-01-11 21:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 18:42:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-08-26 10:48:48 EDT
Description of problem:
I started genesis along with some other I/O last night and after about
10 hours, morph-06 paniced.

Aug 26 04:16:55 morph-06 kernel: dlm: corey1: dir entry exists 1c0332
fr 2 r 0        7         532c44e
Aug 26 04:21:08 morph-06 kernel: Unable to handle kernel paging
request at virtual address 36363446
Aug 26 04:21:08 morph-06 kernel:  printing eip:
Aug 26 04:21:08 morph-06 kernel: e02bc730
Aug 26 04:21:08 morph-06 kernel: *pde = 00000000
Aug 26 04:21:08 morph-06 kernel: Oops: 0000 [#4]
Aug 26 04:21:08 morph-06 kernel: SMP
Aug 26 04:21:08 morph-06 kernel: Modules linked in: gnbd lock_gulm
lock_nolock lock_dlm dlm cman gfs lock_harness ipv6 parport_pc lp
parport autofs4 sunrpc e1000 floppy sg microcode dm_mod uhci_hcd
ehci_hcd button battery asus_acpi ac ext3 jbd qla2300 qla2xxx
scsi_transport_fc sd_mod scsi_mod
Aug 26 04:21:08 morph-06 kernel: CPU:    0
Aug 26 04:21:08 morph-06 kernel: EIP:    0060:[<e02bc730>]    Not tainted
Aug 26 04:21:08 morph-06 kernel: EFLAGS: 00010203   (2.6.8.1)
Aug 26 04:21:08 morph-06 kernel: EIP is at add_to_queue+0x20/0x230 [gfs]
Aug 26 04:21:08 morph-06 kernel: eax: d7ddc2b0   ebx: d8cbc124   ecx:
d5a09d98   edx: 3636343a
Aug 26 04:21:08 morph-06 kernel: esi: d8cbc114   edi: d8cbc0f0   ebp:
c83d5c4c   esp: d5a09cf4
Aug 26 04:21:09 morph-06 kernel: ds: 007b   es: 007b   ss: 0068
Aug 26 04:21:09 morph-06 kernel: Process genesis (pid: 4591,
threadinfo=d5a08000 task=d7ddc2b0)
Aug 26 04:21:09 morph-06 kernel: Stack: 0534abfc cea51728 d5a09d98
d8cbc0f0 00000000 c83d5c4c e02bc9a7 c013ea1b
Aug 26 04:21:09 morph-06 kernel:        d5a09d98 d5a09d98 bbb83205
d8cbc0f0 e02bceee d5a09d98 00000000 bbb83205
Aug 26 04:21:09 morph-06 kernel:        e02d73ac d5a09d98 0534abfc
d89fac4c d5a09d98 e0919000 00000000 bbb83205
Aug 26 04:21:09 morph-06 kernel: Call Trace:
Aug 26 04:21:09 morph-06 kernel:  [<e02bc9a7>] gfs_glock_nq+0x67/0x140
[gfs]
Aug 26 04:21:09 morph-06 kernel:  [<c013ea1b>]
find_or_create_page+0x2b/0x90
Aug 26 04:21:09 morph-06 kernel:  [<e02bceee>]
gfs_glock_nq_init+0x1e/0x40 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02d73ac>]
gfs_rindex_hold+0x3c/0x100 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02aecf0>] do_strip+0x90/0x3b0 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02b0dbe>] gfs_dread+0x2e/0x50 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02aeb27>]
recursive_scan+0xa7/0x1e0 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02d4385>]
gfs_quota_hold_m+0xc5/0x170 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02af5bb>] gfs_shrink+0x39b/0x450
[gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02aec60>] do_strip+0x0/0x3b0 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<c014d660>] vmtruncate+0x80/0x130
Aug 26 04:21:09 morph-06 kernel:  [<e02d2d10>]
gfs_truncator_page+0x0/0x240 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02d18c7>] gfs_setattr+0x397/0x3d0
[gfs]
Aug 26 04:21:09 morph-06 kernel:  [<e02d2d10>]
gfs_truncator_page+0x0/0x240 [gfs]
Aug 26 04:21:09 morph-06 kernel:  [<c013e652>] wake_up_page+0x12/0x40
Aug 26 04:21:09 morph-06 kernel:  [<c017662b>] notify_change+0x20b/0x250
Aug 26 04:21:09 morph-06 kernel:  [<c0159e49>] do_truncate+0x79/0xb0
Aug 26 04:21:09 morph-06 kernel:  [<c015a161>] sys_ftruncate+0x111/0x1a0
Aug 26 04:21:09 morph-06 kernel:  [<c010c548>] sys_mmap2+0xb8/0xd0
Aug 26 04:21:09 morph-06 kernel:  [<c0105e4d>] sysenter_past_esp+0x52/0x71
Aug 26 04:21:09 morph-06 kernel: Code: 39 42 0c 0f 84 47 01 00 00 8b
12 39 f2 75 f1 8b 57 34 8d 77



I/O being run:
genesis genesis -n 500 -d 50 -p 3 
accordion accordion -p 3 accrdfile1 accrdfile2 accrdfile3 accrdfile4 
accrdfile5 
growfiles growfiles -i 0 -N 500 -n 3 -b 
iogen iogen -f buffered -m sequential -s read,write,readv,writev -t 
1b -T 100000b 100000b:rwbuflarge | doio -avk 
iogen iogen -f sync -m sequential -s read,write,readv,writev -t 1b 
-T 100000b 100000b:rwsynclarge | doio -avk 

How reproducible:
Didn't try
Comment 1 Ken Preslan 2005-01-12 15:30:19 EST
I believe this one was fixed with the stack changes Ben made a while ago.

Comment 2 Corey Marthaler 2005-01-31 18:42:27 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.